package com.neusoft.smart.pos.org.persistent.mapper;

import com.neusoft.smart.pos.org.persistent.domain.TableGroups;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TableGroupsMapper {
    int insert(TableGroups record);

    TableGroups selectById(Integer id);

    List<TableGroups> selectByShopId(Integer shopId);

    int updateById(TableGroups record);

    int deleteById(Integer id);

    int countByGroupName(@Param("groupName") String groupName, @Param("shopId") Integer shopId);

    int countByGroupName2(@Param("groupName") String groupName, @Param("shopId") Integer shopId, @Param("id") Integer id);
}
